# Arnold-Elektrometer zur Elektronen- und Ionenstrommessung #
*************************************************************

*(Pico-Amperemeter für Labor 017)*

             August 2025 K. Huber, Strahlenzentrum Univ. Gießen
             Version 11.Aug.2025

1 Einleitung
************

Autor: K. Huber (Aug.25)

1.1 Eagle
=========

Die Schaltpläne zu dem Strommesssystem von W. Arnold sind auf dem IONIX
unter
     /home/k3/Dokumentation/Arnold-CurrentMeasurement
zufinden.  Sie wurden mit EAGLE-3 erstellt.  Mit EAGLE-9 sind sie zu
öffnen und auszudrucken.  Um sie zu bearbeiten müssen aber noch die
notwendigen Bibliotheken importiert werden.  Unter
     Bibliothek -> Library Manager
wird angezeigt welche Bibliotheken verwendet werden und welche eventuell
fehlen.
Die Funktion der XXXX@2-Bibliotheken ist unbekannt (Namensdoppel?).

Unter
     /home/ewerk/EAGLE
gibt es eine recht unübersichtliche Auswahl von Bibliotheken.  Die
benötigten habe ich über
     Control Panel -> Bibliotheken -> libraries -> Arnold
angelegt und von ewerk nach
     Dokumente -> eagle -> libraries -> Arnold
kopiert.  Möglicherweise gibt es dafür aber auch einen anderen Weg.
Anschließend müssen die benötigten xxxx.lbr noch mit einem Haken bei Use
(rechte Maustaste) aktiviert werden.

2 Elektronenstrommessung (Doku. Arnold)
***************************************

﻿ Autor: W.Arnold (Aug.99)

2.1 CURMES (current measurement system)
=======================================

Curmes ist ein Messystem, welches zur Elektronen- und Ionenstrommessung
im Labor 017 aufgebaut wird.  Siehe hierzu Übersichtsplan uescurme.  Die
Elektronen-Strommessung für große Ströme kann dabei potentialfrei bis
6KV Poterntialtrennung erfolgen (d.h.  Messung des zu Kathode fließenden
Stromes.  Die zu messenden Ströme werden zunächst im jeweiligen
Messbereich nach +8.33 Volt Vollausschlag konvertiert und diese von
einem Spannungs-Frequenz-Konverter in 500KHz-Pulse gewandelt.  Der
Konverter arbeitet bis 600KHz, sodaß 20% Übersteuerung des jeweiligen
Messbereiches noch fehlerfrei verarbeitet werden.  Für die
Frequenzzähler der Datenaufnahme stehen optogekoppelte, potentialfreie
Ausgänge mit einem High-Pegel von ca.  4V an 50 Ohm zur Verfügung.

Bei den nachfolgenden Beschreibungen wird auf die verwendeten
DC-Netzteile nicht eingegangen.  Es handelt sich hierbei um Standards
der Elektronikwerkstatt.  Dort stehen im Bedarfsfall Unterlagen zur
Verfügung.

Das Messystem besteht aus folgenden Komponenten (im Folgenden auch als
Einschub bezeichnet):
     ESMBUS017 (Einschub Messbereichumschaltung, Labor 017)
     ESPANZ017 (Einschub Pultanzeige, Labor 017)
     ESECUR1017 (Einschub electron current 1, Labor 017)
     ESECUR2017 (Einschub electron current 2, Lab017)
     SECUR-FU-CONV (Frequenz-Spannungs-Converter)

2.1.1 ESMBUS017 (Einschub Messbereichumschaltung 017)
-----------------------------------------------------

Er erzeugt ein 16-Bit-Wort, welches folgende Information enthält:
     Bit 0..2:        Messbereich Elektronenstrom (acht Messbereiche)
     Bit 8..11:       Messbereich Ionenstrom (sechzehn Messbereiche)
     Bit 12:          Zero lock Ionenstrom
     Bit 14:          Polarität des Ionenstromes
     restliche Bits:  unbenutzt.
Dieses Wort wir permanent seriell ausgegeben.  Zur Veranschaulichung
siehe hierzu Plot Nr.  1 vom 6.1.99 des Digitalspeicher-Scopes TEK2440.
Es zeigt das Datenwort für drei verschiedene Einstellungen.  Die
weiteren Einzelheiten des Datenformates finden sich in der Diss.
G.Hofmann.  Auf der Rückseite des Einschubes befinden sich - neben dem
Umschalter für die Polarität des Ionenstromes - vier potentialfreie
BNC-Buchsen an denen jeweils das serielle Signal (4V an 50 Ohm) anliegt.
Die Buchsenpaare A und B haben je einen gemeinsamen ground.

Auf der Frontplatte des Einschubes befinden sich die Taster für die
Messbereichsfortschaltung, sowie Leuchtdioden zur Signalisierung des
gewählten Messbereiches und der zero-lock-Schalter für den Ionenstrom.
Nach einem power-up-reset ist jeweils der höchste Messbereich
eingeschaltet.  Der Takt der seriellen Signale kann per Jumper von
2.4576MHz auf 32.768 KHz umgeschaltet werden.  Ebenso können die Bits
per Jumper invertiert werden.  Die gesamte Signalcodierung erfolgt in
einem FPGA-Baustein, welcher von K.Huber programmiert wurde.

Nähere Einzelheiten sind den Schaltungsunterlagen ESMBUS017 zu
entnehmen.  Diese beinhalten folgende Einzel-Schaltpläne:
     1) BSMBUS (von W.Arnold): Blockschaltbild der Generierung des seriellen Datenwortes.
     2) BSMBUS (von G.Euler): 1. Platine (Logik) mit Layout zu 1
     3) BSMBUSa (von G.Euler) 2. Platine (Anzeige Frontplatte) mit Layout zu 1.
     4) MESSBERU Verdrahtungsplan des Einschubes
     5) Listing des Files für ISP Synario System zur Programmierung Chip MRngCtl
        (K.Huber, Vers. v. 22.9.98)
Anmerkung (25.3.99): Es wurden zwei dieser Einschübe hergestellt:
ESMBUS017.1 und ESMBUS017.2

2.1.2 ESPANZ017 (Einschub Pultanzeige 017)
------------------------------------------

Er dient der Anzeige von Analogwerten auf einem gut ablesbaren
Analoginstrument.  Auf der Rückseite befinden sich vier potetialfreie
BNC-Buchsen die jeweils zweipolig zum Messeingang durchgeschaltet werden
können.  Die intere Verstärkerschaltung wandelt pos.  oder neg.  Signale
von .3V, 1V, 3V oder 10V in eine Ausgangsspannung von +10Volt welche dem
Anzeigeinstrument, einem Analogausgang auf der Frontplatte und einem
Sekündärausgang auf der Rückseite zugeführt werden.  Die Ausgangsbuchsen
sind mit dem Potential des gerade durchgeschalteten Einganges verbunden.
Auf der Frontplattte befinden sich außerdem die Anzeige und
Bedienelemente für Messbereichs-, Eingangs- und Polaritätsumschaltung.
Die Signalcodierung hierfür erfolgt in einem FPGA-Baustein, welcher von
K.Huber programmiert wurde.

Nähere Einzelheiten sind den Schaltungsunterlagen ESPANZS017 zu
entnehmen.  Diese beinhalten folgende Einzel-Schaltpläne:
     1) curanz2: Schaltplan und Layout der Verstärker- und Relais-Platine
     2) bsanz1 (von W.Arnold): Blockschaltbild der Eingangs- und Empfindlichkeitsumschaltung.
     3) bsanz1 (von G.Euler): 1. Platine (Logik) mit Layout zu 1
     4) bsanz1a (von G.Euler) 2. Platine (Anzeige Frontplatte) mit Layout zu 1.
     5) ÜBANZ1: Verdrahtungsplan des Einschubes
     6) Listing des Files für ISP Synario System zur Programmierung Chip xPltAnz
        (K.Huber, Vers. v. 24.9.98)
Für eine Sekundäranzeige im Labor steht ein zweites Anloginstrument mit
10Volt Vollausschlag zur Verfügung.  Es kann mittels BNC-Kabel mit dem
rückseitigen Ausgang des Einschubes verbunden werden.

2.1.3 ESECUR1017 (Einschub electron current 1, Labor 017)
---------------------------------------------------------

Er dient der potentialfreien und präzisen Messung ”großer”
Elektronenströme, d.h.  von 500mA bis zu 0.15mA Vollausschlag unterteilt
in acht Messbereiche.  Siehe hierzu Schaltungsunterlagen ESECUR017 und
insbesondere Blockschaltbild bsesecur.  Ausgelegt und geprüft wurde die
Potentialtrennung für Spannungen bis 6KV.
*Obwohl der Einschub über die Netzzuleitung geerdet ist, wird dringend
empfohlen das Gehäuse an der vorhandenen Steckverbindung mit der
Potentialerde des Labors zu verbinden.*

   *Funktion:*
Die neg.  Ausgangsspannung des Hochspannungs-Netzgerätes der Kanone wird
mittels SHV- Stecker (St1) dem minus-Eingang (high input) des
Strommessers zugeführt.  Der plus Ausgang (Elektronik gnd bzw.  low
input) wird mittels SHV-Stecker (St2) an die Kathode der Kanone
angeschlossen ( - natürlich kann der Strommesser auch am
Elektronen-Kollektor auf Erdpotential betrieben werden - ).  Der
Eingangswiderstand des Strommessers ist sehr klein beträgt am Eingang
der Platine weniger als drei Milliohm, sodaß der Spannungsabfall bei dem
Maximalstrom von 0,5A maximal 3 Millivolt beträgt und damit praktisch
keinen Effekt auf die Elektronenenergie hat.  Auf der Widerstands- und
Relaisplatine ecurf02b wird der zugeführte Strom - messbereichsabhängig
- in eine Spannung konvertiert.  Mittels der Verstärker- und
Wandlerschaltung erfolgt die Frequenzkonvertierung zu 500KHz bei
Vollausschlag im jeweiligen Messbereich.  Das Ausgangssignal des
Wandlers wird über LWL auf Erdpotetial übertragen und steht an zwei
BNC-Buchsen mit 4 Volt Amplitude an 50 Ohm zur Verfügung (Platine
ecurf03b).  Um Erdschleifen im Labor zu vermeiden, sind diese Buchsen
potentialfrei mit gemeinsamen gnd (DGND2) ausgeführt.

   *Genauigkeit der Strommessung:*
Alle relevanten Widerstände sind mit Zeranin-Widerstandsmaterial
ausgeführt und haben einen TK von 1ppm/C und eine absolute Genauigkeit
von 1*10E-4.  Bei den Umschaltrelais für die Messbereiche wurden, wo
erforderlich, thermospannungsarme Relais (Elfein Typ ECO842) verwendet.
Die Verstärker OPA124 (Burr Brown) zeichenen sich durch geringe Drift
der Eingangsoffsetspannung (2uV/C) und niedrigen Eingangsstrom aus.  Für
die Eichung der Messbereiche steht leider keine präzise Stromquelle zur
Verfügung.  Deshalb wurden mittles eines Netzgerätes und Vorwiderstand
geeignete Ströme erzeugt.  Die Werte dieser Ströme wurden mittels
Spannungsabfall an Referenzwiderständen bzw.  direkter Strommessung
mittels Keithley 2000 bestimmt.  Generell kann man davon ausgehen, daß
die absolute Genauigkeit in allen Messbereichen mit besser als
+0/-5*10E-4 angenommen werden kann.  Dies auch gilt noch für 10%-ige
Aussteuerung der Messbereiche.  Unter Laborbedingungen kann die
thermische Drift bei der angegebenen Genauigkeit vernachlässigt werden.

   *Abgleich (auf Platine ecurf2a):*
Zuerst ist die Eingangsoffsetspannung der Verstärker U1 und U2 mittels
P1 und P2 auf Werte kleiner 10uV abzugleichen.  Der Ausgangsfrequenz des
U/f-Wandlers kann mittels P3 nur für alle Messbereiche gemeinsam
abgeglichen werden.  Der 0-Abgleich ist mittels P4 bei Aussteuerung
eines Messbereiches mit ca.  1% des Nennwertes auszuführen.  Da sich
beide Potis beeinflussen ist der Abgleich von P3 und P4 zu iterieren.

   *Eingangswiderstand und Überlastschutz:*
Wie bereits gesagt, beträgt der Innenwiderstand des Strommessers ca.  3
Milliohm, sodaß der Spannungsabfall maximal 1,5 Millivolt an den
Eingangsklemmen beträgt.  Der Messeingang der Platine ist gegen
Überlastung mittels Leistungsdioden geschützt.  Diese sollten auch
Überschläge in der Elektronenkanone verkraften (wurde aber bislang nicht
getestet).  Diese Dioden schützen den Eingang auch bei fehlender
Betriebsspannung, jedoch steigt der Spannungsabfall am Eingang dann auf
ca.  0,7 Volt an.

   *Leckströme und Brumm:*
Siehe hierzu insbesondere Blockschaltbild bsesecur.  Der
Hochspannungstrenntrafo wurde zunächst in Zweikammertechnik ohne
Schirmung nach BV7421 von der Fa.  Marek/Alsfeld gewickelt.  Mit diesem
Trafo trat neben hohen Leckströmen mit großen Formierungseffekten auch
starke Brummeinstreuung auf.  Im zweiten Anlauf wickelte Marek den Trafo
nach BV7710 in Einkammertechnik mit Schirmung.  Dieser hat wesentlich
bessere Eigenschaften.  Bei -6 KV Hochspannung rührt der DC-Leckstrom
der Schaltung aber immer noch fast ausschließlich vom Trafo her und
beträgt etwa 10nA. Des weiteren streut der Trafo einen netzsynchronen
AC-Brummstrom ein, der je nach Polung der Ausgangsklemmen 9uA bzw 1,7 uA
beträgt.  Damit diese beiden Ströme nicht über den Strommesser fließen,
ist der Trafo an den high Input angeschlossen, und zwar die mit 230V
bezeichnete Ausgangsklemme (AC-Leckstrom 1,7uA, bei Anschluss der
Nullklemme Leckstrom 9uA). Mit dieser Anordnung fließen die Fehlerströme
über das Netzgerät der Kanone und werden nicht von der Strommessung
erfasst.  Diese Schaltung hat jedoch einen anderen Nachteil: Auch die
auf Hochspannung liegenden Trafos der Netzteile für die Elektronik
erzeugen einen AC-Leckstrom von mehreren uA, welcher zum low Input
fließt und dann über den high Input zur Primärseite zurückfließt, also
vom Strommesser erfasst wird und infolgedessen zu einer Brummspannung
auf dem Analogausgang und dementsprechend zu einer 50Hz-Modulation der
Ausgangsfrequenz führt.  Dieser Effekt konnte mit der als
Brumm-Kompensation im Blockschaltbild bezeichneten Schaltung teilweise
kompensiert werden.Der Restbrumm am Ausgang der Analogstufe beträgt
200mVSS im 150uA-Messbereich.  Dies entspricht einem Effektivwert von
1,2uA, also weniger als 1% des Messbereiches.  Diese Welligkeit führt
auch bei kleinen Strömen nicht zu Fehlmessungen, könnte aber bei
Scan-Messungen zu Welligkeiten in den Spektren führen, welche sich bei
längeren Messungen -falls diese nicht zufällig netzsynchrone
Umschaltzeiten haben - wegmitteln müssten.
Anmerkung: Bei dem beschriebenen Problem handelt es sich um einen
Designfehler der durch Änderung der internen Polarität des
Messverstärkers beseitigt werden kann.  Dazu müßte die FET-Stufe (T1 auf
ecurf2b) mit neg.  Versorgungsspannung betrieben werden, die
Eingangspolarität gedreht werden und durch eine zusätzliche
nachgeschaltete Verstärkerstufe den Analogausgang invertieren.  Dies
wäre praktisch auf einen Neuaufbau des aufwendigsten Teiles des
Mess-Systems hinausgelaufen und wurde deshalb nicht ausgeführt.
Aber man ist ja lernfähig.  Bei dem geplanten Strommesser für kleinere
Ströme wird die Eingangsstufe bipolar ausgelegt -ist auch viel einfacher
als bei 0,5A Eingangsstrom- und vor dem U/f-Wandler mit einem
schaltbaren Inverter versehen.  Auf diese Art können beliebige
Eingangspolaritäten verarbeitet werden.

   *Zeitverhalten:*
Der Eingangsverstärker wurde so ausgelegt, daß in allen Messbereichen
”schnelle” Scanmessungen ausgeführt werden können.  Bild 2 vom 6.1.99
zeigt im 150uA-Messbereich den Kurvenverlauf des Analogausganges bei
einem Rechteck-Stromsprung von 100uA. Anstiegs- und Abfallzeiten
betragen jeweils ca.  75us.  In den anderen Messbereichen sind diese
Zeiten eher kleiner.

   *Schaltungsunterlagen:*
Nähere Einzelheiten sind den Schaltungsunterlagen ESECUR1017 zu
entnehmen.  Diese beinhalten folgende Einzel-Schaltpläne:
     1) bsesecur: Blockschaltbild des Einschubes
     2) ecurf02a: Schaltbild und Layout der Platine mit Verstärker und Frequenzconverter
     3) ecurf02b: Schaltbild und Layout der Platine mit Messbereichswiderständen und Relais
     4) ecurf02: Schaltungen ecurf02a und 02b in einem Plan zusammengefasst
                 (zeigt Funktion besser).
     5) ecurf03b: Optokopplerplatine
     6) SERPA01: Schaltbild und Layout des seriell-parallel-Wandlers

2.1.4 ESECUR2017 (Einschub electron current 2, Lab017)
------------------------------------------------------

Siehe hierzu Blockschalbild ESECUR2017, Schaltungsunterlagen SERPAR02
und ecurf04b und Verdrahtungsplan ecueinsc_b.

Der Einschub dient – alternativ zum Einschub ESECUR1017 für "große"
Elektronenströme - der erdnahen und präzisen Messung ”kleiner”
Elektronenströme, d.  h.  von 500uA bis 50 nA Vollausschlag, unterteilt
in acht Messbereiche.  Die Mess-Elektronik wurde potentialfrei
aufgebaut.  Um die Strommessung an die Bezugsmasse der Elektronenkanone
anschließen zu können, ist die Elektronikmasse auf einer BNC-Buchse (LI
-> Low Input) nach außen geführt.
Wichtig: Dieser Einschub ist umpolbar und kann alternativ auch zur
Messung von positiven Ionenströmen benutzt werden.  Bei gleichzeitiger
Verwendung von ESECUR1017 und ESECUR2017 ist dann allerdings ein zweiter
- bereits vorhandener - Messbereichsgeber erforderlich.

   *Funktion:*
Der Strom des Elektronenkollektors wird mittels BNC-Buchse dem High
Input (HI) des Strommessers zugeführt.  Der Low Input (LI) ist an die
Bezugsmasse der Hochspannung an der Elektronenkanone anzuschließen.  Der
Eingangswiderstand der Messelektronik des Strommessers beträgt nur
einige Milliohm, jedoch wurde dem High Input ein 1K-Widerstand in Reihe
geschaltet, der in Verbindung mit der Doppel-Diode (ID100) dem Schutz
des Eingangsverstärkers dient.
*Für Korrekturen der Elektronenenergie ist deshalb mit einem
Eingangswiderstand von 1kOhm zu rechnen.  Beispielsweise fallen bei 500
uA Eingangsstrom am Eingang 0,5 Volt ab.*
Der Eingangsstrom wird in jedem Messbereich zu 10/1,2 = 8,33 Volt
konvertiert und einem Spannungs- Frequenzwandler mit 600KHz
Ausgangsfrequenz bei 10.000 Volt Eingangsspannung zugeführt.  .  Das
Ausgangssignal des Wandlers wird über LWL auf Erdpotential übertragen
und steht an zwei BNC- Buchsen mit je 4 Volt Amplitude an 50 Ohm zur
Verfügung.  Um Erdschleifen im Labor zu vermeiden, sind diese
Ausgangsbuchsen potentialfrei mit gemeinsamen gnd ausgeführt.  Um über
diese Buchsen Brummeinstreuung in den Wandler zu vermeiden, ist dieser
gnd mit 10 kOhm an das Gehäuse gelegt.  Die Eingangsstufe des
Stromkonverters ist bipolar und infolgedessen können mit ihm auch
positive Ströme (z.B. Ionen) gemessen werden.  Da der
Spannungs-Frequenzwandler nur positive Eingangsspannung verarbeiten
kann, ist die Eingangspolarität an einem internen Jumper wählbar (z.B.
Jumper JP2 gesetzt -> Eingangspolarität positiv).

   *Zuordnung der Messbereiche und Genauigkeit der Strommessung:*
Messbereiche: Die Strom-Spannungskonvertierung kann mit 200KOhm, 2MOhm
oder 20MOhm Gegenkopplungswiderstand in der Eingangsstufe erfolgen.  Der
nachgeschaltete Verstärker verstärkt wahlweise x10, x3 oder x1.  Dadurch
entstehen 12 - teilweise identische - Messbereiche von 500 uA bis 50 nA.
Um möglichst flexibel zu bleiben, wurde die Zuordnung der seriell
empfangenen drei Messbereichsbits zu den möglichen Messbereichen in
mehreren –noch erweiterbaren – Epromtabellen abgelegt.  Das Eprom
befindet sich auf der Karte SERPAR02.  Siehe hierzu auch die Tabellen
”Messbereichskonfiguration ecur04”.  Im File ecur044.rom ist der
Eprom-Hexcode für die in das EPROM eingebrannten Tabellen T1 bis T4
binär gespeichert.  Das Brennen des EPROM‘s erfolgte mit dem
Juniorprommer auf dem Atari MEGA-ST. Im derzeitigen Zustand ist auf der
Karte SERPAR02 die Tabelle T4 gejumpert, d.h.  es sind die Jumper A7,
A6, A5 gesetzt und die Jumper A4, A3 nicht gesetzt.  Damit ergeben sich
acht Messbereiche von 500 uA bis 150 nA.
Genauigkeit: Für die 200KOhm und die2MOhm Widerstände in der
Gegenkopplung von U1 und für die Beschaltung des Verstärkers U2 wurden
Vishay-S102-Widerstände (Lieferant Bürklin) mit einer absoluten
Genauigkeit von 1x10E-4 und einem TK von 1 ppm/C eingesetzt.  Für den
20MOhm Gegenkopplungswiderstände mußten, da es die S102 nur bis 100K
gibt – 1MOhm Vitrom-491- Präzissionswiderstände (Lieferant Bürklin) mit
0,1% Toleranz und 25ppm/C eingesetzt werden.  Zur Kalibrierung dieser
kleinen Ströme stehen bei uns keine hinreichend genauen Strommessgeräte
bzw.  Stromquellen zur Verfügung.  Deshalb wurde die Überprüfung der
Messgenauigkeit mittles Spannungsmessung (Keithley 2000) an einem
Referenzwiderstand vorgenommen (Achtung: gegebenenfalls Eingangsstrom
des Keithley 2000 bestimmen und korrigieren).  Es kann davon ausgegangen
werden, daß die Messgenauigkeit in allen Messbereichen, selbst bei 10%
Aussteuerung, etwa 2*10E-4 ist.  Allerdings muß bei größeren
Temperaturschwankungen damit gerechnet werden, daß dieses Limit in den
Messbereichen mit 20 MOhm Gegenkopplung (in der jetzigen Konfigurierung
nur 150nA-Bereich) überschritten werden kann.

   *Zeitverhalten:*
Der Eingangsverstärker wurde auch hier so ausgelegt, daß ”schnelle”
Scanmessungen möglich sind.  Die Anstiegszeiten betragen in den
Messbereichen mit 200KOhm bzw.  2MOhm Gegenkopplung ca.  50 us.  Der
20MOhm-Messbereich hat auf der Platine explizit keinen
Gegenkopplungs-Kondensator, jedoch reichen die Streukapazitäten aus, die
Anstiegszeit auf ca.  130 us zu limitieren.

   *Abgleich:*
Bei den Abgleicharbeiten sollte der höchste Messbereich gewählt werden,
da bei geöffnetem Gehäuse Brumm in die Schaltung eingestreut wird.  Die
Verstärker U1, U2 und U3 sind bei offenen Eingangsklemmen in der
Reihenfolge U1, U2 und U3 mit den Potentiometern P2, P1 und P5 auf
Ausgangsspannungen kleiner 10 uV abzugleichen.  Der Abgleich von
Nullpunkt und Vollausschlag des Spannungs-Frequenz-Wandlers erfolgt mit
den Potentiometern P4 und P5 bei ca.  1% und ca.  90% Aussteuerung
iterativ.  Falls der Vollausschlag mit P5 nicht abgeglichen werden kann,
sind für R11 oder R13 passende Widerstandswerte einzusetzen.  Dabei ist
darauf zu achten, daß der Wert von P3 möglichst klein gehalten wird, da
der TK der Abgleich-Potentiometer 100 ppm/C beträgt.
Ein weiterer Abgleich in den anderen Messbereichen ist nicht möglich und
auch nicht erforderlich.

   *Hinweis:*
Auf der Frontplatte befindet sich eine Prüfbuchse mit der Beschriftung
”Analog Out”.  Hier ist das Eingangssignal des
Spannungs-Frequenz-Wandlers herausgeführt.  Bezugsmasse des Signales ist
der Low Input.  Dies Buchse sollte nur für Prüfzwecke benutzt werden, um
mit dem Tastkopf eines Oszillografen Brumm und Störungen auf dem
Messignal kontrollieren zu können.

   *Schaltungsunterlagen:*
Nähere Einzelheiten sind den Schaltungsunterlagen ESECUR2017 zu
entnehmen.  Diese beinhalten folgende Einzel-Schaltpläne:
     1) bsesecur2: Blockschaltbild des Einschubes
     2) ecueinsc_b: Verdrahtungsplan des Einschubes
     3) ecurf04b: Schaltbild und Layout der Platine mit Strom-Frequenzwandelung
                  incl. LED Ausgang
     4) SERPA02: Schaltbild und Layout des seriell-parallel-Wandlers inclusive
                 der Codierung der Relaisansteuerung auf ecurf4b. EPROM-Tabellen

2.1.5 SECUR-FU-CONV (Frequenz-Spannungs-Converter)
--------------------------------------------------

Der Frequenz-Spannungs-Converter wurde gebaut, um die als Frequenz
ausgegebenen Stromwerte analog anzeigen zu können (500 KHz -> 5 Volt).
Es handelt sich im Prinzip um dieselbe Schaltungstechnik wie bei der
Steuerung der Penningquelle (Empfänger fv65202b).  Das hier verwendete
Verfahren setzt voraus, daß Sender und Empfänger mit der gleichen
Clockfrequenz laufen.  Dies liegt daran, daß der Empfänger nur mit
Pulslängen arbeiten kann, die mindestens halb so lang und maximal genau
so lang sind wie seine Clockperiode.  Um den Wandler allgemeiner
verwendbar zu machen wurden an der Platine von Hand zwei Änderungen
vorgenommen:
     1) Hinter der Photodiode wurden zwei Univibratoren zur Pulsformung angebracht.
        Dadurch ist die Eingangspulslänge beliebig, sie muss aber mindesten 50 ns betragen.
     2) Um Übersteuerungen zu erlauben, wurde der Spannungsfolger U1A als Verstärker beschaltet.
        Dadurch ist es möglich den Wandler bis 600 KHz fehlerfrei auszusteuern.
Nähere Einzelheiten sind den Schaltungsunterlagen ESECUR-FU-CONV zu
entnehmen.  Diese beinhalten:
     1) fv65202c: Schaltbild enthält alle an der Platine fv6502b.brd ausgeführten Änderungen.
     2) monoflop: Platine der beiden Monoflops
Da es zwei Strom-Mess-Pfade gibt, wurden auch zwei
Frequenz-Spannungswandler hergestellt:
     5) ESECUR-UF-CONV (Spannungs-Frequenz-Converter)
     6) ESIOCUR mit ELEKTROMETER (Ionenstrom-Messer mit Elektrometerkopf)

3 Ionenstrommessung
*******************

﻿ Autor: K. Huber (Aug.25)

3.1 Elektrometer
================

(see iocur012b.)  (see iocur013b.)

3.1.1 Eingangsstufe
-------------------

Die Eingangsstufe des pA-Elektrometers ist mit einem OPA128LM
Elektrometer-OP bestückt (Bias Current <0.1pA). Über P2 kann der Offset
justiert werden.  Da die pA-Messbereiche bei geöffnetem Elektrometer
empfindlich auf die Umgebung reagieren, ist zusätzlich ein externes Poti
vorhanden, das über 100GOhm auf der Rückkopplungsplatine eine Korrektur
ermöglicht (see iocur013b.).

Die Funktion der an gleicher Stelle vorhandenen und kurzgeschlossenen
BNC-Buchse ist leider nicht bekannt und lässt sich nur mit einer
völligen Demontage des Elektrometers klären.

Bei Vollausschlag liegen am Ausgang 8.4V. Damit wird eine Übersteuerung
um 20% möglich (s.h.  Spannungs-Frequenz-Wandler).

3.1.2 Messbereiche
------------------

Die Messbereiche des Elektrometers werden mittels Relais umgeschaltet.
Mit Re5, Re6 und Re7 werden die zum Messbereich passenden
Gegenkopplungs-Widerstände (jeweils Faktor 100) ausgewählt und mit Re1,
Re2 die Faktoren 1, 3, 10, 30 multipliziert.  Mit Re3
(Zero-Lock-Funktion) wird der Eingang abgeschaltet.
      MB     Re7    Re6    Re5    Re1    Re2    Re3
      [A]   100k    10M     1G    *10     *3   Lock
     --------------------------------------------------
     100µ  |  X   |      |      |      |  X   |      |
      30µ  |  X   |      |      |      |      |      |
      10µ  |  X   |      |      |  X   |  X   |      |
       3µ  |  X   |      |      |  X   |      |      |
       1u  |      |  X   |      |      |  X   |      |
     300n  |      |  X   |      |      |      |      |
     100n  |      |  X   |      |  X   |  X   |      |
      30n  |      |  X   |      |  X   |      |      |
      10n  |      |      |  X   |      |  X   |      |
       3n  |      |      |  X   |      |      |      |
       1n  |      |      |  X   |  X   |  X   |      |
     300p  |      |      |  X   |  X   |      |      |
     100p  |      |      |      |      |  X   |      |
      30p  |      |      |      |      |      |      |
      10p  |      |      |      |  X   |  X   |      |
       3p  |      |      |      |  X   |      |      |
     Lock  |  X   |      |      |      |  X   |  X   |

     Rechnung für:      Re2   Re1
     100kOhm * 100µA * 8.4k / 10k = 8.4V
     100kOhm *  30µA *  28k / 10k = 8.4V
     100kOhm *  10µA * 8.4k /  1k = 8.4V
     100kOhm *   3µA *  28k /  1k = 8.4V

   Zur Unterdrückung von Störungen sind den Messwiderständen auf der
Gegenkopplungs-Platine zum Teil (100k, 10M) Kondensatoren parallel
geschaltet.  Für die hohen R-Werte (1G, 100G) sind die
Leiterbahn-Kapazitäten ausreichend als Filter.  Der pA-Bereich wird
damit bereits recht langsam in seiner Reaktion!
     *Gemessene Anstiegszeiten T (Arnold, 23.02.00)*
     Messber.      R        C        T      tau = T/2.2
     ----------------------------------------------
     100µ      | 100K   | 330p   | 85µs   | 38.64µs
     30µ       | 100K   | 330p   | 85µs   | 38.64µs
     10µ       | 100K   | 330p   | 85µs   | 38.64µs
     3µ        | 100K   | 330p   | 134µs  | 60.91µs
     1µ        | 10M    | 2,2p   | 85µs   | 38.64µs
     300n      | 10M    | 2,2p   | 85µs   | 38.64µs
     100n      | 10M    | 2,2p   | 85µs   | 38.64µs
     30n       | 10M    | 2,2p   | 125µs  | 56.82µs
     10n       | 1,01G  | ohne   | 2,95ms | 1.34ms
     3n        | 1,01G  | ohne   | 2,95ms | 1.34ms
     1n        | 1,01G  | ohne   | 2,95ms | 1.34ms
     300p      | 1,01G  | ohne   | 2,95ms | 1.34ms
     100p      | 100G   | ohne   | 208ms  | 94.55ms
     30p       | 100G   | ohne   | 208ms  | 94.55ms
     10p       | 100G   | ohne   | 208ms  | 94.55ms
     3p        | 100G   | ohne   | 208ms  | 94.55ms
     3p..100p  | 100G   | 27p    | 4,9s   | 2.23s
     27p Styroflexkondensator zwischen Jumper am Ausgang des
     Elektrometers und Eingangspin auf Gegenkopplungsplatine
     eingelötet. Durch den Kondensator entstehender Fehler ist
     kleiner als 2 Promille vom Endwert.

3.2 Spannungs-Frequenz-Wandler
==============================

(see iocur02a.)

3.3 Relais-Treiber
==================

(see serpar03a.)

3.4 Steuereinheit
=================

(see iocur03a.)

3.5 Nachbau für Ionenquellen-Teststand
======================================

Für den Ionenquellen-Teststand ist ein ungetesteter Nachbau des
Elektrometers zum Einsatz gekommen, der einige Nachbesserungen
erforderlich machte.
   • Auf dem Elektrometer-Board (iocur012b) fehlte eine Lötstelle am IC
     U2.  Pin2 und Pin8 sind auf der Lötseite verbunden, müssen aber auf
     der Bestückungsseite an Pin2 und/oder Pin8 mit Masse verlötet
     werden.  Die fehlende Masseverbindung führte dazu, dass sich die
     beiden Eingänge nach dem Anschalten ganz langsam auf + oder -
     aufgeladen haben, je nachdem...
   • Der Nachbau war mit dem OPA111AM statt OPA124 bestückt.  Der OPA111
     sollte ein verbesserter Nachfolger des OPA124 sein, ist jedoch nur
     im TO-Gehäuse erhältlich und hat leider als Ersatz nicht
     funktioniert.  Da der OPA124 nicht in aureichender Anzahl vorhanden
     war, haben wir ihn teilweise durch den OP07CP ersetzt, der
     allerdings seinen Zero-Abgleich auf den Pins 1 und 8 hat statt auf
     1 und 5.  Daher wurden die Pins 1 und 8 getrennt, der Pin 5 des
     OP07 ist NC (s.h.  Schaltplan iocur02ax).  Auf den Zero-Abgleich
     kann verzichtet werden, da er nur wenige mV justiert im Vergleich
     zu 10V bei Vollausschlag.
     Eine Alternative zum OP07 könnte der OPA189ID sein, der auch bei
     der Hochspannungs-Regelung in 017 als Ersatz verwendet wird.  Da er
     nur in SOIC-Bauform erhältlich ist, wird ein DIP-SOIC-Adapter
     benötigt.
   • Am Poti für die externe Offset-Justierung ist bei der Montage der
     hochliegende Pin abgebrochen.  Die externe Offset-Spannung liegt
     jetzt dauerhaft auf Masse.

3.6 50Hz-Störung im Labor 017
=============================

Nach dem Umzug in den HBR war der 300pA Bereich bei der Messung von
Massenspektren (Cup 2) als einziger stets übersteuert und nicht nutzbar.

   *Ursache und Wirkung*
Bei der Verkabelung wurde über eine längere Strecke die Signalleitung
vom Cup parallel zu einigen 230V Netzleitungen geführt.  Der damit
eingefangene 50Hz-Brumm ist dem Ionenstrom überlagert und stört in den
höheren Messbereichen nicht da er im Mittel genau null ist.  Im
300pA-Bereich jedoch übersteuert der Brumm die Verstärkerstufen und ist
nicht mehr symmetrisch, was zu unterschiedlichen, unsinnigen Werten bei
analoger und digitaler Anzeige führt.

Der 3 - 100pA-Bereich ist hingegen nicht betroffen, da die Signale dabei
auf 100G-Ohm treffen, die zusammen mit der Leitungskapazität einen
ausreichenden Brumm-Filter bilden um eine Übersteuerung zu vermeiden
(s.o.).

   *WorkAround*
Da zunächst eine Änderung der Leitungsführung nicht geplant war und nur
die Signale des Massenspektrometers betroffen waren, wurde als
WorkAround mit Hilfe eines Kondensators nach Masse am Eingang des
Elektrometers der Brumm auf ca.  1/10 reduziert.  Dies allerdings auf
Kosten der Reaktionzeit:
     Kondersator   Eingangswiderstand   RC-Zeit
       2200nF           100k Ohm         220ms

     Anstiegszeiten ohne Filter (s.o.)
       100uA - 30nA    <200us
       10nA - 300pA     2.95ms
       100pA - 3pA      208ms
*Da die ESW- und ESS-Messungen wegen kurzer Signalleitungen von dem
Brummproblem nicht betroffen sind, sollte für diese Messungen das
Zusatzfilter entfernt und auch nicht der pA-Messbereich verwendet
werden, wenn eine schnelle Reaktion der Ionenstrommessung erforderlich
ist.*

3.7 Schaltpläne
===============

Fast alle Schaltpläne existieren in unterschiedlichen Versionen und
stimmen in manchen Details nicht mit den vorgefundenen Boards überein.
Hinzu kommen noch handverdrahtete Änderungen.  In den Schaltplänen
iocur02ax (Elektrometer) und iocur012bx (VFConverter) sind die auf den
Boards vorgefundenen Abweichungen vermerkt.
Weitere Schaltungsunterlagen (Eagle) zur Strommessung sind auf dem IONIX
unter /home/K3/Dokumentation/ArnoldCurrentMeasurement zu finden.

   *Elektrometer*

   *Gegenkopplungs-Platine*

   *VFConverter*

   *RelaisTreiber*

   *Steuereinschub*